org.apache.poi.sl.usermodel

## Interface TextParagraph.BulletStyle

- Enclosing interface:
    TextParagraph<S extends Shape<S,P>,P extends TextParagraph<S,P,T>,T extends TextRun>

      public static interface TextParagraph.BulletStyle

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AutoNumberingScheme` | `getAutoNumberingScheme()`
    `java.lang.Integer` | `getAutoNumberingStartAt()` Index (1-based) of the first auto number value, or null if auto numbering scheme wasn't assigned.
    `java.lang.String` | `getBulletCharacter()`
    `java.lang.String` | `getBulletFont()`
    `PaintStyle` | `getBulletFontColor()`
    `java.lang.Double` | `getBulletFontSize()` The bullet point font size If bulletFontSize >= 0, then space is a percentage of normal line height.
    `void` | `setBulletFontColor(java.awt.Color color)` Convenience function to set a solid color
    `void` | `setBulletFontColor(PaintStyle color)`

- - ### Method Detail

    - #### getBulletCharacter

          java.lang.String getBulletCharacter()

    - #### getBulletFont

          java.lang.String getBulletFont()

    - #### getBulletFontSize

          java.lang.Double getBulletFontSize()

      The bullet point font size If bulletFontSize >= 0, then space is a percentage of normal line height. If bulletFontSize < 0, the absolute value in points
      Returns:
        the bullet point font size

    - #### setBulletFontColor

          void setBulletFontColor(java.awt.Color color)

      Convenience function to set a solid color

    - #### setBulletFontColor

          void setBulletFontColor(PaintStyle color)

    - #### getBulletFontColor

          PaintStyle getBulletFontColor()

      Returns:
        the color of bullet characters within a given paragraph. A `null` value means to use the text font color.

    - #### getAutoNumberingScheme

          AutoNumberingScheme getAutoNumberingScheme()

    - #### getAutoNumberingStartAt

          java.lang.Integer getAutoNumberingStartAt()

      Index (1-based) of the first auto number value, or null if auto numbering scheme wasn't assigned.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.